
Summary: KDE Micro-Blogging Client
Name: choqok
Version: 1.4
Release: 3%{?dist}
License: GPLv3
URL: http://choqok.gnufolks.org/
%if 0%{?snap:1}
# releaseme script snapshot
Source0: choqok-%{version}-%{snap}.tar.bz2
%else
Source0:  http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
%endif

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel
BuildRequires: gettext
BuildRequires: pkgconfig(libattica)
BuildRequires: pkgconfig(QJson)
BuildRequires: pkgconfig(qoauth)

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
# for kwallet, among other goodies
Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
A Free/Open Source micro-blogging client for K Desktop Environment.
The name comes from an ancient Persian word, which means Sparrow!
Choqok currently supports Twitter.com and Identi.ca services.

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}

%package devel
Summary:  Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}


%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name} --with-kde

%check
desktop-file-validate %{buildroot}%{_kde4_sharedir}/applications/kde4/choqok.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :


%files -f %{name}.lang
%doc COPYING README AUTHORS changelog TODO
%{_kde4_bindir}/choqok
%{_kde4_libdir}/kde4/choqok_*.so
%{_kde4_libdir}/kde4/kcm_choqok_*.so
%{_kde4_libdir}/kde4/konqchoqokplugin.so
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_sharedir}/applications/kde4/choqok.desktop
%{_kde4_sharedir}/config.kcfg/*.kcfg
%{_kde4_sharedir}/kde4/services/choqok_*.desktop
%{_kde4_appsdir}/choqok/
%{_kde4_appsdir}/choqok_*/
%{_kde4_sharedir}/kde4/servicetypes/choqok*.desktop
%{_kde4_appsdir}/dbus-1/services/org.kde.choqok.service
%{_kde4_appsdir}/khtml/kpartplugins/konqchoqok.*
%{_kde4_sharedir}/kde4/services/ServiceMenus/choqok_*.desktop

%files libs
%{_kde4_libdir}/lib*.so.*

%files devel
%{_kde4_includedir}/choqok/
%{_kde4_libdir}/lib*.so
%{_kde4_appsdir}/cmake/modules/*.cmake

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> 1.4-1
- 1.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-0.4.20130711
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Rex Dieter <rdieter@fedoraproject.org> 1.3.1-0.3.20130711
- 1.3.1 20130711 snapshot

* Mon Jun 24 2013 Rex Dieter <rdieter@fedoraproject.org> 1.3.1-0.2.20130624
- 1.3.1 20130624git snapshot
- fix/prune %%changelog
- .spec cosmetics

* Fri Jun 21 2013 Rex Dieter <rdieter@fedoraproject.org> 1.3.1-0.1.20130621
- 1.3.1 20130621git snapshot (uses new twitter 1.1 api)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 Rex Dieter <rdieter@fedoraproject.org> 1.3-5
- rebuild (qjson)

* Fri Nov 23 2012 Rex Dieter <rdieter@fedoraproject.org> 1.3-4
- rebuild (qjson)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Rex Dieter <rdieter@fedoraproject.org> 1.3-2
- rebuild (attica)

* Sun Apr 22 2012 Sven Lankes <sven@lank.es> - 1.3-1
- new upstream release

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 31 2011 Rex Dieter <rdieter@fedoraproject.org> 1.2-3
- BR: pkgconfig(libattica)

* Sat Dec 31 2011 Sven Lankes <sven@lank.es> - 1.2-2
- rebuild for new libattica

* Wed Nov 23 2011 Sven Lankes <sven@lank.es> - 1.2-1
- new upstream release

* Tue Aug 09 2011 Sven Lankes <sven@lank.es> - 1.1-4
- fix bug on friendlist update (rhbz #729464)

* Tue Jul 26 2011 Rex Dieter <rdieter@fedoraproject.org> 1.1-3
- drop kwebkitpart support

* Tue Jun 21 2011 Rex Dieter <rdieter@fedoraproject.org> 1.1-2
- simplify %%files, use %%_kde4_appsdir macro
- use %%?_isa to tighten subpkg deps

* Sun Apr 03 2011 Sven Lankes <sven@lank.es> - 1.1-1
- new upstream release

* Sat Mar 26 2011 Sven Lankes <sven@lank.es> - 1.0-3
- apply upstream patch for rhbz #691237

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 30 2011 Sven Lankes <sven@lank.es> - 1.0-1
- new upstream release
